{ config, pkgs, ... }:

{
  home = {
    sessionVariables = {
      EDITOR = "hx";
      VISUAL = "hx";
    };

    file.".config/helix/config.toml".text = ''
      theme = "monokai"

      [editor]
      cursorline = true

      [editor.cursor-shape]
      insert = "bar"
      normal = "block"
      select = "underline"

      [editor.lsp]
      display-messages = true

      [editor.indent-guides]
      render = true
    '';

    packages = with pkgs.unstable; [
      helix
      clang-tools
      rust-analyzer
      rnix-lsp
      python310Packages.python-lsp-server
      texlab
    ];
  };
}
